import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'colors.dart';
import 'dark_theme.dart';
import 'light_theme.dart';

class AppTheme {
  static const appName = 'elektronika';

  static final ThemeData light = lightTheme;
  static final ThemeData dark = darkTheme;

  static final Widget appColorDivider = new Divider(color: Colors.grey.withOpacity(0.50), thickness: 1);

  static final Widget appSizeDivider30H = new SizedBox(height: 30.h);

  static final Widget appSizeDivider20H = new SizedBox(height: 20.h);

  static final Widget appSizeDivider15H = new SizedBox(height: 15.h);

  static final Widget appSizeDivider10H = new SizedBox(height: 10.h);

  static final ShapeBorder bottomSheetBorder = RoundedRectangleBorder(
    borderRadius: BorderRadius.only(
      topLeft: Radius.circular(16),
      topRight: Radius.circular(16),
    ),
  );

  static final TextStyle unselectedScrollTxtStyle = new TextStyle(
    color: Color(0xFF4A4A51),
    fontWeight: FontWeight.w400,
    fontSize: 14.sp,
  );

  static final TextStyle selectedTxtStyle = new TextStyle(
    color: Colors.black,
    fontWeight: FontWeight.w500,
    fontSize: 14.sp,
  );

  static final TextStyle bottomSheetHeaderStyle = new TextStyle(
    color: ThemeColor.black,
    fontSize: 22.sp,
    fontWeight: FontWeight.w500,
  );

  static final TextStyle radioListTxtStyle = new TextStyle(
    color: ThemeColor.black,
    fontSize: 16.sp,
  );

  static final TextStyle homepageTitleTxtStyle = new TextStyle(
    color: ThemeColor.black,
    fontSize: 14.sp,
    fontWeight: FontWeight.bold,
  );

  static final TextStyle subHeaderTxtStyle = new TextStyle(
    color: ThemeColor.color3A3A3A,
    fontSize: 14.sp,
    fontWeight: FontWeight.w700,
  );

  static final TextStyle styleColorC4C4 = new TextStyle(
    color: ThemeColor.colorC4C4C4,
    fontSize: 14.sp,
  );

  static final sortFilterTxtStyle = new TextStyle(
    color: ThemeColor.color717278,
    fontSize: 14.sp,
  );

  static final TextStyle headerStyle = new TextStyle(
    color: ThemeColor.color3A3A3A,
    fontSize: 14.sp,
    fontWeight: FontWeight.bold,
  );
}
